Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Solid Edge
  Blattwechsel mit VB

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Blattwechsel mit VB (711 mal gelesen)
RalphRX8
Mitglied
Kontruktionsbüro


Sehen Sie sich das Profil von RalphRX8 an!   Senden Sie eine Private Message an RalphRX8  Schreiben Sie einen Gästebucheintrag für RalphRX8

Beiträge: 333
Registriert: 17.11.2004

AutoCAD-Mechanical 2017, SolidEdge ST8

erstellt am: 23. Mai. 2011 20:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,

ich wollte eben ein kleines Tool in VB schreiben.
Hierfür muß ich in der Draft alle Blätter durchlaufen.

Ich habe das wie folgt durchgeführt:

    Dim mSheets As SolidEdgeDraft.Sheets
    Dim mSheet As SolidEdgeDraft.Sheet
                Set mSheets = objDoc.Sheets
                Zähler = 1
                For Each mSheet In mSheets
                mSheet.Activate
                objDoc.SaveAs NewFilename
                Zähler = Zähler + 1
                Next mSheet

Wenn ich das laufen lasse, macht er mir unendlich viele Reiter unten auf, Hintergrundblätter, etliche nummerierte......
Weiß jemand wie der Befehl für den Durchlauf der Arbeitblätter lauten muß?

Viele Grüße
Ralph

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

peticeo
Mitglied
Wirtschaftsinformatiker FH


Sehen Sie sich das Profil von peticeo an!   Senden Sie eine Private Message an peticeo  Schreiben Sie einen Gästebucheintrag für peticeo

Beiträge: 162
Registriert: 25.10.2005

Windows 7 64bit
Quad X5472
ST 2/12
Teamcenter 8.1

erstellt am: 24. Mai. 2011 09:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für RalphRX8 10 Unities + Antwort hilfreich

Hallo Ralph

Was willst du den machen?
Grundsätzlich stimmt das Quellcode, aber ..

Zitat:
objDoc.SaveAs NewFilename

1. zu jeden bestehenden Register speicherst du ein neues Register!
2. wozu brauchst du die Variable Zähler?

Schildere was du erreichen willst.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

RalphRX8
Mitglied
Kontruktionsbüro


Sehen Sie sich das Profil von RalphRX8 an!   Senden Sie eine Private Message an RalphRX8  Schreiben Sie einen Gästebucheintrag für RalphRX8

Beiträge: 333
Registriert: 17.11.2004

AutoCAD-Mechanical 2017, SolidEdge ST8

erstellt am: 24. Mai. 2011 11:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich stricke gerade  an einem Tool, welches jedes Blatt der Zeichnung als dwg rausschreibt. Der Zähler wird belegt um den Dateinamen (der dwg) mit Blattnummern zu versehen.
Er wird in einer For Each-Schleife jeweils um 1 hochgesetzt und dem Dateinamen angehängt.
objDoc repräsentiert die aktuell offene dft.

[Diese Nachricht wurde von RalphRX8 am 24. Mai. 2011 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

pablo
Mitglied
Techniker


Sehen Sie sich das Profil von pablo an!   Senden Sie eine Private Message an pablo  Schreiben Sie einen Gästebucheintrag für pablo

Beiträge: 432
Registriert: 23.01.2002

Win7
Office 2010
ST6 64bit

erstellt am: 24. Mai. 2011 11:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für RalphRX8 10 Unities + Antwort hilfreich

Ralph,
mit Set mSheets = objDoc.Sections.WorkingSection.Sheets
erhältst du nur die Arbeitsblätter.
pablo

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

RalphRX8
Mitglied
Kontruktionsbüro


Sehen Sie sich das Profil von RalphRX8 an!   Senden Sie eine Private Message an RalphRX8  Schreiben Sie einen Gästebucheintrag für RalphRX8

Beiträge: 333
Registriert: 17.11.2004

AutoCAD-Mechanical 2017, SolidEdge ST8

erstellt am: 24. Mai. 2011 11:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke Pablo, das hat mir geholfen.

Aber wenn ich das so nutze, bringt er "Typen unverträglich".
Ich hatte mSheets wie folgt deklariert:
Dim mSheets As SolidEdgeDraft.Sheets
Das war wohl der falsche Typ.

Habs jetzt als Object deklariert und es läuft.

Vielen Dank nochmal. :-)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz